Package org.apache.commons.math3.optim.nonlinear.vector

# Class ModelFunctionJacobian

java.lang.Object
org.apache.commons.math3.optim.nonlinear.vector.ModelFunctionJacobian

All Implemented Interfaces:
  `OptimizationData`

@Deprecated public class ModelFunctionJacobian extends Object implements OptimizationData
Deprecated.
All classes and interfaces in this package are deprecated. The optimizers that were provided here were moved to the `org.apache.commons.math3.fitting.leastsquares` package (cf. MATH-1008).
Jacobian of the model (vector) function to be optimized.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`ModelFunctionJacobian(MultivariateMatrixFunction j)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`MultivariateMatrixFunction`
`getModelFunctionJacobian()`
Deprecated.
Gets the Jacobian of the model function to be optimized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelFunctionJacobian

public ModelFunctionJacobian(MultivariateMatrixFunction j)
Deprecated.

Parameters:
  `j` - Jacobian of the model function to be optimized.

## Method Details

### getModelFunctionJacobian

public MultivariateMatrixFunction getModelFunctionJacobian()
Deprecated.
Gets the Jacobian of the model function to be optimized.

Returns:
  the model function Jacobian.